import request from '@/utils/request'

// 查询技师照片-视频管理列表
export function listMechanicInfo(query) {
  return request({
    url: '/business/mechanicInfo/list',
    method: 'get',
    params: query
  })
}

export function mechanicInfoListV2(query) {
  return request({
    url: '/business/mechanicInfo/v2/list',
    method: 'get',
    params: query
  })
}

// 查询技师照片-视频管理详细
export function getMechanicInfo(id) {
  return request({
    url: '/business/mechanicInfo/' + id,
    method: 'get'
  })
}

// 新增技师照片-视频管理
export function addMechanicInfo(data) {
  return request({
    url: '/business/mechanicInfo',
    method: 'post',
    data: data
  })
}

// 修改技师照片-视频管理
export function updateMechanicInfo(data) {
  return request({
    url: '/business/mechanicInfo',
    method: 'put',
    data: data
  })
}

// 删除技师照片-视频管理
export function delMechanicInfo(id) {
  return request({
    url: '/business/mechanicInfo/' + id,
    method: 'delete'
  })
}

// 导出技师照片-视频管理
export function exportMechanicInfo(query) {
  return request({
    url: '/business/mechanicInfo/export',
    method: 'get',
    params: query
  })
}
